commit:     c5da4a920746add73338e79c1963ef4279e4aabb
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  5 16:25:19 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb  5 17:35:42 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5da4a92

app-editors/mousepad: Bump to 0.6.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-editors/mousepad/Manifest              |  1 +
 app-editors/mousepad/mousepad-0.6.2.ebuild | 63 ++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/app-editors/mousepad/Manifest b/app-editors/mousepad/Manifest
index 764cba97e75c..9e6f409be290 100644
--- a/app-editors/mousepad/Manifest
+++ b/app-editors/mousepad/Manifest
@@ -1 +1,2 @@
 DIST mousepad-0.6.1.tar.bz2 1405279 BLAKE2B 
db94c433ba6dc697906258942abd0bcaa5a0a244c30c6e344e737944e84688045319551ebd1512aba541d87beafe5a8a26bb1265a06619aad64c7155140f33b3
 SHA512 
cf6ee9e32ecb1be9f1f54c587c4e8f653eb949f1103e378bf27959b88d8d6f268fb796285c8077bcef97926288cf941b9fb9426bfeb680ee728bddefa2d77d23
+DIST mousepad-0.6.2.tar.bz2 1402314 BLAKE2B 
c783ec58317ca3c0eaa0023ade3043f4aa4f020a12c0258fe0cf1e2303aa07dfbc67b9aa0178ca9282da98754103fda6c90ba034fa4057dd855b400c0d371085
 SHA512 
086f60f6f405290ed76366f4c5195e9c8f9c5058d1892200a73e48d6378428efe47f2038e3eddb81186e22dd87d57580559a556b1b22f202b6f056c7f90b64ea

diff --git a/app-editors/mousepad/mousepad-0.6.2.ebuild 
b/app-editors/mousepad/mousepad-0.6.2.ebuild
new file mode 100644
index 000000000000..4d6ef31ee3be
--- /dev/null
+++ b/app-editors/mousepad/mousepad-0.6.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome2-utils xdg-utils
+
+DESCRIPTION="GTK+-based editor for the Xfce Desktop Environment"
+HOMEPAGE="
+       https://docs.xfce.org/apps/mousepad/start
+       https://gitlab.xfce.org/apps/mousepad/
+"
+SRC_URI="https://archive.xfce.org/src/apps/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="policykit spell +shortcuts"
+
+DEPEND="
+       >=dev-libs/glib-2.56.2
+       >=x11-libs/gtk+-3.22:3
+       >=x11-libs/gtksourceview-4.0.0:4
+       policykit? ( sys-auth/polkit )
+       spell? ( app-text/gspell )
+       shortcuts? ( >=xfce-base/libxfce4ui-4.17.5:= )
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       dev-lang/perl
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+src_configure() {
+       local myconf=(
+               --enable-gtksourceview4
+               $(use_enable policykit polkit)
+               $(use_enable spell plugin-gspell)
+               $(use_enable shortcuts plugin-shortcuts)
+       )
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       gnome2_schemas_update
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_schemas_update
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

Reply via email to